Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

New Perl

Discussion in 'General Discussion' started by teck, Aug 30, 2001.

  1. teck

    teck Well-Known Member

    Joined:
    Aug 10, 2001
    Messages:
    164
    Likes Received:
    0
    Trophy Points:
    316
    Anyone know the easiest way to update to Perl 5.6.1?
     
  2. mpope

    mpope Well-Known Member

    Joined:
    Aug 16, 2001
    Messages:
    55
    Likes Received:
    0
    Trophy Points:
    306
    Use this:
    http://layer1.cpanel.net/cplyr1-updater.tar.gz

    However, I am unsure how to use it... and have not tried. It would be great If someone could explain how to use it (however simple it may be).
     
  3. rpmws

    rpmws Well-Known Member

    Joined:
    Aug 14, 2001
    Messages:
    1,824
    Likes Received:
    7
    Trophy Points:
    318
    Location:
    back woods of NC, USA
    yes do that and then RUN LIKE HELL !!!!!!!!
    This was a joke :) you should be fine.

    [Edited on 9/2/01 by rpmws]
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. MichaelShanks

    MichaelShanks Well-Known Member
    PartnerNOC

    Joined:
    Aug 20, 2001
    Messages:
    104
    Likes Received:
    0
    Trophy Points:
    316
    how to use it is simple

    go into your install directory i use /home/install

    run

    wget http://layer1.cpanel.net/cplyr1-updater.tar.gz

    tar xvvfz cplyr1-updater.tar.gz


    cd wp-cpup
    ./install
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. teck

    teck Well-Known Member

    Joined:
    Aug 10, 2001
    Messages:
    164
    Likes Received:
    0
    Trophy Points:
    316
    Does this have any adverse side affects? For example, breaking something else on the server?
     
  6. MichaelShanks

    MichaelShanks Well-Known Member
    PartnerNOC

    Joined:
    Aug 20, 2001
    Messages:
    104
    Likes Received:
    0
    Trophy Points:
    316
    I think the aim of the update is not to break anything but nothing is ever 100% foolproof, I just whacked it on my test server and it appeared to work correctly,

    If you just want to update perl I would personally just download the latest version and do a source install

    http://public.ActiveState.com/gsar/perl-5.6.1.tar.gz
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. JeremyL

    JeremyL Well-Known Member

    Joined:
    Aug 10, 2001
    Messages:
    87
    Likes Received:
    0
    Trophy Points:
    306
    For dome reason I have both 5.6.0 & 5.6.1 installed and I did nothing. Should both be there?
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice